- Main Page
- Related Pages
- Modules
- Files

Typedefs
GLM_GTX_std_based_type
GTX Extensions (Experimental)

## Typedefs
typedef detail::tvec2 < std::size_t > | size2
typedef detail::tvec2 < std::size_t > | size2_t
typedef detail::tvec3 < std::size_t > | size3
typedef detail::tvec3 < std::size_t > | size3_t
typedef detail::tvec4 < std::size_t > | size4
typedef detail::tvec4 < std::size_t > | size4_t

## Detailed Description

Adds vector types based on STL value types.

<glm/gtx/std_based_type.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef detail::tvec2<std::size_t> size2

Vector type based of two std::size_t components.

See Also
  GLM_GTX_std_based_type

Definition at line 56 of file std_based_type.hpp.

typedef detail::tvec2<std::size_t> size2_t

Vector type based of two std::size_t components.

See Also
  GLM_GTX_std_based_type

Definition at line 68 of file std_based_type.hpp.

typedef detail::tvec3<std::size_t> size3

Vector type based of three std::size_t components.

See Also
  GLM_GTX_std_based_type

Definition at line 60 of file std_based_type.hpp.

typedef detail::tvec3<std::size_t> size3_t

Vector type based of three std::size_t components.

See Also
  GLM_GTX_std_based_type

Definition at line 72 of file std_based_type.hpp.

typedef detail::tvec4<std::size_t> size4

Vector type based of four std::size_t components.

See Also
  GLM_GTX_std_based_type

Definition at line 64 of file std_based_type.hpp.

typedef detail::tvec4<std::size_t> size4_t

Vector type based of four std::size_t components.

See Also
  GLM_GTX_std_based_type

Definition at line 76 of file std_based_type.hpp.